package org.example.proyecto;

import java.util.Vector;

/**
 * Created by Victor on 05/09/2016.
 */
public class Ciudad {

    public float lon,lat;
    public String country;


    public String nombreCiudad,nombreCiudadUrl;

    public PrediccionTiempo prediccionTiempo;

    public TiempoActual tiempoActual;


    public boolean seleccionada = false;

    static Vector<Ciudad> Ciudades = new Vector<Ciudad>();
    public Vector<PrediccionTiempo> vectorPrediccion;;


    public Ciudad(String nombreCiudad, float lon, float lat, String country){
        this.nombreCiudad = nombreCiudad;
        this.lon = lon;
        this.lat = lat;
        this.country = country;

        vectorPrediccion = new Vector<PrediccionTiempo>();
        tiempoActual = new TiempoActual(nombreCiudad);
    }

    public static Vector<Ciudad> listaCiudades() {
        return Ciudades;
    }





}
